/* This file is part of Lcrzo.
*/

int lcrzo_err_purge(void)
{
  lcrzo_er(lcrzo_priv_global_set_errmsglcrzo(""));
  lcrzo_er(lcrzo_priv_global_set_errmsgsys(""));
  errno=0;
#if defined LCRZODEF_SYSTEM_Unix
  h_errno=0;
#elif defined LCRZODEF_SYSTEM_Windows
  WSASetLastError(0);
  SetLastError(0);
#else
 #error "Unknown value for LCRZODEF_SYSTEM"
#endif

  return(LCRZO_ERR_OK);
}

